## python-biggles 1.6.4

=== Makefile ===
#
# $Id: Makefile,v 1.11 2001/11/03 20:52:17 mrnolta Exp $
#
# Copyright (C) 2000-2001 Mike Nolta <mrnolta@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA  02111-1307, USA.
#

include make.inc

SRCDIR		= ./src
EXAMPLESDIR	= ./examples

.PHONY: all install uninstall clean

all:
	cd $(SRCDIR) && $(MAKE) all
	cd $(SRCDIR)/libplot && $(MAKE) all

install: all
	[ -d $(BIGGLESDIR) ] || mkdir -m755 $(BIGGLESDIR)
	install -m644 $(SRCDIR)/*.ini $(BIGGLESDIR)
	install -m644 $(SRCDIR)/*.py  $(BIGGLESDIR)
	install -m644 $(SRCDIR)/*.pyc $(BIGGLESDIR)
	install -m755 $(SRCDIR)/*.so  $(BIGGLESDIR)
	[ -d $(BIGGLESDIR)/libplot ] || mkdir -m755 $(BIGGLESDIR)/libplot
	install -m644 $(SRCDIR)/libplot/*.py  $(BIGGLESDIR)/libplot
	install -m644 $(SRCDIR)/libplot/*.pyc $(BIGGLESDIR)/libplot
	install -m755 $(SRCDIR)/libplot/*.so  $(BIGGLESDIR)/libplot

uninstall:
	[ -d $(BIGGLESDIR) ] && rm -rf $(BIGGLESDIR)

clean:
	cd $(SRCDIR) && $(MAKE) clean
	cd $(SRCDIR)/libplot && $(MAKE) clean
	-cd $(EXAMPLESDIR) && rm *.png *.eps

=== src/Makefile ===
#
# $Id: Makefile,v 1.10 2001/10/31 02:24:30 mrnolta Exp $
#
# Copyright (C) 2001 Mike Nolta <mrnolta@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA  02111-1307, USA.
#

include ../make.inc

CPPFLAGS	= $(BASE_CPPFLAGS) $(NUMERIC_CPPFLAGS)
LDFLAGS		= $(BASE_LDFLAGS)
TARGETS		= _biggles.so

include ../make.rules

=== src/libplot/Makefile ===
#
# $Id: Makefile,v 1.2 2001/10/31 02:24:30 mrnolta Exp $
#
# Copyright (C) 2001 Mike Nolta <mrnolta@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA  02111-1307, USA.
#

include ../../make.inc

CPPFLAGS	= $(BASE_CPPFLAGS) $(NUMERIC_CPPFLAGS) $(LIBPLOT_CPPFLAGS)
LDFLAGS		= $(BASE_LDFLAGS) $(LIBPLOT_LDFLAGS)
TARGETS		= libplot.so

include ../../make.rules

## python-biggles 1.6.6

=== src/libplot/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.2 2001/10/31 02:24:30 mrnolta Exp $
+# $Id: Makefile,v 1.3 2007/04/19 15:51:46 mrnolta Exp $
 #
 # Copyright (C) 2001 Mike Nolta <mrnolta@users.sourceforge.net>
 #
@@ -21,7 +21,7 @@
 
 include ../../make.inc
 
-CPPFLAGS	= $(BASE_CPPFLAGS) $(NUMERIC_CPPFLAGS) $(LIBPLOT_CPPFLAGS)
+CPPFLAGS	= $(BASE_CPPFLAGS) $(NUMPY_CPPFLAGS) $(LIBPLOT_CPPFLAGS)
 LDFLAGS		= $(BASE_LDFLAGS) $(LIBPLOT_LDFLAGS)
 TARGETS		= libplot.so

=== debian/changelog ===
python-biggles (1.6.6-2) unstable; urgency=low

  * Team upload.

  [ Luca Falavigna ]
  * Remove obsolete XB-Python-Version field.
  * Remove obsolete pycompat file.

  [ Jakub Wilk ]
  * Don't run dh_python, which is obsolete (Closes: #715304).
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.
  * Drop obsolete Conflicts/Replaces with python2.3-biggles and
    python2.4-biggles.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Jul 2013 02:10:22 +0200

python-biggles (1.6.6-1) unstable; urgency=low

  * New maintainer. (Closes: #553074)
  * New upstream release.
  * debian/control
     + added DMUA field.
     + keeping under python module group.
     + bumped standard version to 3.8.4 (no changes)
  * debian/copyright
     + updated copyright information.
     + added Debian's copyright information.
  * debian/rules
     + package installation path from biggles to pybiggles.
  * Switch to dpkg-source 3.0 (quilt) format.
     + added debian/source/format.

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Wed, 02 Jun 2010 11:20:47 +0530

python-biggles (1.6.4-5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Replace python-numeric dep and b-d with python-numpy. (Closes: #478456).
    + Replace Numeric.* calls with numpy.*.
  * Remove suggests on python-numeric-ext.
  * Add appropriate copyright holders to debian/copyright.
  * Version path to license to GPL-2.
  * Include python.mk in rules and add $(py_setup_install_args).
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 28 Oct 2009 23:47:32 -0400

python-biggles (1.6.4-4) unstable; urgency=low

  * New maintainer (closes: #379684). 

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Sun,  4 Feb 2007 00:42:46 -0400

python-biggles (1.6.4-3) unstable; urgency=low

  * QA upload.
  * Remove `dummy package' from long description.  Closes: #381829.
  * debian/README.Debian: Update for unversioned package names.
  * debian/copyright: Remove leftover reference to python-adns.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Mon, 14 Aug 2006 09:13:31 +0200

python-biggles (1.6.4-2) unstable; urgency=low

  * QA Upload (Ack NMU's; Closes: #348514,#326234,#331003,#373514)
  * Set Maintainer to QA Group; Orphaned:  #379684
  * Remove [dummy package] from short description (Closes: #381829)
  * Remove unnecessary dh calls in binary-indep.

 -- Michael Ablassmeier <abi@debian.org>  Wed,  9 Aug 2006 07:28:27 +0200

python-biggles (1.6.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373514).
  * Fix old FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  1 Jul 2006 13:46:57 +0200

python-biggles (1.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the Python 2.2 package, and add a Python 2.4 one.  Thanks to
    Andreas Jochens for the patch.  Closes: #326234.
  * Rebuild for C++ transition.  Closes: #331003, #348514.

 -- Matej Vela <vela@debian.org>  Sat, 28 Jan 2006 20:57:29 +0100

python-biggles (1.6.4-1) unstable; urgency=low

  * New upstream release.
  * Acknowledged NMU.

 -- Peter Hawkins <peterh@debian.org>  Sat, 10 Jul 2004 11:51:29 +1000

python-biggles (1.6.3-5.1) unstable; urgency=low

  * NMU
  * Standards-version is 3.6.1.
  * Use dh_python.
  * Rebuild with python 2.3 by default.
  * Remove postinst/postrm stuff, it is now autogenerated.
  * Section is python.
  * debian/rules: separated binary-arch and binary-indep.

 -- Josselin Mouette <joss@debian.org>  Thu, 28 Aug 2003 12:51:37 +0200

python-biggles (1.6.3-5) unstable; urgency=medium

  * Changed section from graphics to interpreters.
  * Rebuild to s/libplot/libplot2/ in the dependencies.
  * Updated standards version to 3.5.8.

 -- Peter Hawkins <peterh@debian.org>  Fri,  8 Nov 2002 23:13:41 +1100

python-biggles (1.6.3-4) unstable; urgency=low

  * Rebuild to fix problem with python 2.2 version.
  * Made lintian clean (now lintian works again, yay!) 

 -- Peter Hawkins <peterh@debian.org>  Fri,  8 Nov 2002 15:32:41 +1100

python-biggles (1.6.3-3) unstable; urgency=low

  * Dropped support for python 2.1.
  * Added support for python 2.3.
  * Updated standards version to 3.5.7.
  * Added dummy python-biggle package.

 -- Peter Hawkins <peterh@debian.org>  Sat, 12 Oct 2002 19:14:08 +1000

python-biggles (1.6.3-2) unstable; urgency=low

  * Updated build dependencies to force the usage of a non-broken libplot-dev
    version. (closes: #159596)
  * Added postinst/postrm scripts to compile/remove .py[co] files. 

 -- Peter Hawkins <peterh@debian.org>  Sun, 22 Sep 2002 16:58:12 +1000

python-biggles (1.6.3-1) unstable; urgency=low

  * Initial Release (closes: #113379)

 -- Peter Hawkins <peterh@debian.org>  Tue,  6 Aug 2002 15:33:26 +1000

=== debian/control ===
Source: python-biggles
Section: python
Priority: optional
Maintainer: Deepak Tripathi <apenguinlinux@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.3), python-numpy, libplot-dev (>= 2.4.1-8)
Standards-Version: 3.8.4
Homepage: http://biggles.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-biggles/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-biggles/trunk/

Package: python-pybiggles
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, python-numpy, ${misc:Depends}
Provides: ${python:Provides}
Description: Scientific plotting package for Python
 Biggles is a Python module for creating publication-quality 2D scientific
 plots. It supports multiple output formats (postscript, x11, png, svg, gif),
 understands simple TeX, and sports a high-level, elegant interface. It's
 intended for technical users with sophisticated plotting needs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -r)

include /usr/share/python/python.mk

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	set -e; \
	for py in $(PYVERS); do \
	    $$py setup.py build; done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	-for py in $(PYVERS); do \
	    $$py setup.py clean --all; done
	# Add here commands to clean up after the build process.
	#--build-lib build2.3
	-rm -fr build

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/python-biggles.
	set -e; \
	for py in $(PYVERS); do \
	    $$py setup.py install --root=debian/python-pybiggles --no-compile $(py_setup_install_args); \
	done

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A
	dh_installexamples -A -a examples/*
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_pysupport -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Build architecture-independent files here.
binary-indep: build install
# nothing to do

binary: binary-arch binary-indep
.PHONY: clean binary binary-arch binary-indep install build

=== debian/watch ===
version=3
http://sf.net/biggles/python2-biggles-(.*)\.tar\.gz
